Package Details: itch 1:1.24.0-6

Git Clone URL: https://aur.archlinux.org/itch.git (read-only, click to copy)
Package Base: itch
Description: The best way to play itch.io games.
Upstream URL: https://github.com/itchio/itch
Licenses: MIT
Submitter: FrozenCow
Maintainer: Paragoumba
Last Packager: Paragoumba
Votes: 96
Popularity: 1.17
First Submitted: 2015-12-14 22:23
Last Updated: 2021-04-05 14:15

Latest Comments

« First ‹ Previous ... 7 8 9 10 11 12 13 Next › Last »

fasterthanlime commented on 2015-12-20 22:18

updated to 0.11.0

leafo commented on 2015-12-20 19:14

v0.11.0 is out now: https://github.com/itchio/itch/releases

fasterthanlime commented on 2015-12-19 21:56

So I don't know how to bump the version of an AUR package :| why is it 0.10.2-1 instead of 0.10.4 ?

fasterthanlime commented on 2015-12-19 02:00

p7zip is definitely a dependency (the only one! — there's still a binary blob, butler, that will get downloaded automatically, except if it's in your path, so feel free to compile it yourself instead: https://github.com/itchio/butler it's just a bunch of golang code).

We're probably gonna have a lot more releases with two-digit minor versions — ie. I won't feel comfortable calling anything "1.0.0" for a while.

Then again atom/electron's at 0.36.0 so we have room I think :)

FrozenCow commented on 2015-12-18 10:21

@km3k integrated some of your changes into update.sh.
Also added npm as makedepends
Updated to 0.10.2

km3k commented on 2015-12-17 18:35

The script for updating the PKGBUILD didn't work for me now that they're using a two digit minor version number. I fixed the script, made some other modifications, and posted a forked gist at https://gist.github.com/khbecker/fa48b29aeb523f0a0689 .

I also see that npm should be a makedepends of the itch PKGBUILD.

FrozenCow commented on 2015-12-16 22:02

added p7zip and updated to 0.9.3.
Also for anyone interested, here is an easy way to automatically update the PKGBUILD: https://gist.github.com/FrozenCow/335f394780cbfe26fca1

hagabaka commented on 2015-12-16 04:45

I think p7zip also needs to be added as a dependency, or itch will say "7za must be in $PATH" when you try to login.

FrozenCow commented on 2015-12-15 22:31

Thanks all! I've added nodejs-grunt-cli, added a check phase (npm test) and included you all to the maintainers.

vrav commented on 2015-12-15 20:17

@fasterthanlime
Ooh, cool. Cloned git repo and can now simply run through npm. I like that straight-from-the-source feel.